GET api/v2/rmas
Return full status of ReturnTrak type RMAs (filtered by parameters).
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| rma_status |
Status or the RMA you want to retrieve. |
rma_status |
Default value is any |
| rma_numbers |
List of RMA numbers you want to retrieve, separated by comma. If empty, all RMAs that match the query are returned. |
string |
None. |
| created_from |
RMA created date from. Date in ISO-8601 format. Only date part (no time) is required ('YYYY-MM-DD'). |
date |
None. |
| created_to |
RMA created date to. Date in ISO-8601 format. Only date part (no time) is required ('YYYY-MM-DD'). |
date |
None. |
| received_from |
RMA received date from. Date in ISO-8601 format. Only date part (no time) is required ('YYYY-MM-DD'). |
date |
None. |
| received_to |
RMA received date to. Date in ISO-8601 format. Only date part (no time) is required ('YYYY-MM-DD'). |
date |
None. |
| fields |
Limit which fields are returned by the API. Ignored when null or empty (example: 'rma_number,rma_date') |
string |
None. |
| page |
Page number. |
integer |
Default value is 1 |
| page_size |
Amount of RMAs returned per page. Maximum is set to 50. |
integer |
Default value is 50 |
Body Parameters
None.
Response Information
Resource Description
response_get_rmas| Name | Description | Type | Additional information |
|---|---|---|---|
| error_code |
Zero if no errors. See 'error_message' for a detailed description of the error. |
integer |
None. |
| error_message |
Returns a detailed description of the error. |
string |
None. |
| rmas |
Array of RMAs. |
Collection of rma |
None. |
Response Formats
application/json, text/json
{
"error_code": 0,
"error_message": "",
"rmas": [
{
"rma_number": "RMADEM-V1",
"rma_date": "2013-08-05",
"cancelled_date": null,
"expired_date": null,
"original_order_number": "",
"shipping_carrier": "FEDEX",
"shipping_service": "GROUND",
"customer_number": "",
"comments": "",
"shipping_instructions": "TEST RMA order",
"shipping_address": {
"company": "",
"attention": "TEST-DEMO",
"address1": "48641 Milmont Dr",
"address2": "",
"email": "victoriam@dclcorp.com",
"phone": "555-555-1234",
"city": "Fremont",
"state_province": "CA",
"postal_code": "94538",
"country": "US"
},
"order_amount": 0.00,
"shipping_handling": 0.00,
"sales_tax": 0.00,
"restocking_fee": 0.00,
"total_amount": 0.00,
"rma_type": 3,
"disposition": 1,
"custom_option1": "",
"custom_option2": "",
"custom_option3": "",
"custom_option4": "",
"custom_option5": "",
"custom_option6": "",
"custom_option7": "",
"replacement_order": null,
"return_label_url" : "",
"return_label_tracking_number" : "",
"rma_location": "FR",
"rma_account_number": "10501",
"shipping_location": "LA",
"shipping_account_number": "10501",
"auth_lines": [
{
"item_number": "1002-002-DEMO2",
"description": "Product For Demo 2",
"quantity": 1,
"serial_number": ""
}
],
"ship_lines": [
{
"item_number": "1002-002-DEMO2",
"description": "Product For Demo 2",
"quantity": 1,
"price": 0.00
}
],
"received_lines": null,
"return_details": [
{
"item_number": "1002-002-DEMO2",
"authorized_line_number": 1,
"om_line_number": 1000,
"received_date": null,
"authorized_quantity": 1,
"received_quantity": 0,
"received_serial_number": "",
"disposition_code": "D1",
"disposition": "Await Customer Disposition",
"condition_code": "",
"condition": null,
"is_cancelled": false
}
]
},
{
"rma_number": "RMADEM-V2",
"rma_date": "2013-08-05",
"cancelled_date": null,
"expired_date": null,
"original_order_number": "",
"shipping_carrier": "FEDEX",
"shipping_service": "GROUND",
"customer_number": "",
"comments": "",
"shipping_instructions": "Test demo order",
"shipping_address": {
"company": "",
"attention": "TEST DEMO",
"address1": "48641 Milmont Dr",
"address2": "",
"email": "victoriam@dclcorp.com",
"phone": "555-555-1234",
"city": "Fremont",
"state_province": "CA",
"postal_code": "94358",
"country": "US"
},
"order_amount": 0.00,
"shipping_handling": 0.00,
"sales_tax": 0.00,
"restocking_fee": 0.00,
"total_amount": 0.00,
"rma_type": 3,
"disposition": 1,
"custom_option1": "",
"custom_option2": "",
"custom_option3": "",
"custom_option4": "",
"custom_option5": "",
"custom_option6": "",
"custom_option7": "",
"replacement_order": null,
"return_label_url" : "",
"return_label_tracking_number" : "",
"rma_location": "FR",
"rma_account_number": "10501",
"shipping_location": "LA",
"shipping_account_number": "10501",
"auth_lines": [
{
"item_number": "1002-002-DEMO2",
"description": "Product For Demo 2",
"quantity": 1,
"serial_number": ""
}
],
"ship_lines": [
{
"item_number": "1007-007-DEMO7",
"description": "Product For Demo 7",
"quantity": 5,
"price": 0.00
}
],
"received_lines": null,
"return_details": [
{
"item_number": "1002-002-DEMO2",
"authorized_line_number": 1,
"om_line_number": 1000,
"received_date": null,
"authorized_quantity": 1,
"received_quantity": 0,
"received_serial_number": "",
"disposition_code": "D1",
"disposition": "Await Customer Disposition",
"condition_code": "",
"condition": null,
"is_cancelled": false
}
]
}
]
}